# Class CSCertificateTaskException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.io7m.certusine.vanilla.internal.tasks.CSCertificateTaskException

All Implemented Interfaces:
  `Serializable`

public final class CSCertificateTaskException extends Exception
An exception raised by a certificate task.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CSCertificateTaskException(String message, boolean inCanRetry)`
  Create an exception.
  `CSCertificateTaskException(String message, Throwable cause, boolean inCanRetry)`
  Create an exception.
  `CSCertificateTaskException(Throwable cause, boolean inCanRetry)`
  Create an exception.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `canRetry()`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CSCertificateTaskException

    public CSCertificateTaskException(String message, boolean inCanRetry)
    Create an exception.
    Parameters:
      `message` - The exception message
      `inCanRetry` - `true` if the operation could be retried

  - ### CSCertificateTaskException

    public CSCertificateTaskException(String message, Throwable cause, boolean inCanRetry)
    Create an exception.
    Parameters:
      `message` - The exception message
      `cause` - The cause
      `inCanRetry` - `true` if the operation could be retried

  - ### CSCertificateTaskException

    public CSCertificateTaskException(Throwable cause, boolean inCanRetry)
    Create an exception.
    Parameters:
      `cause` - The cause
      `inCanRetry` - `true` if the operation could be retried

- ## Method Details

  - ### canRetry

    public boolean canRetry()
    Returns:
      `true` if the operation could be retried